Bug 26749 - Correct dropdown markup in OPAC cart
Summary: Correct dropdown markup in OPAC cart
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-20 11:57 UTC by Owen Leonard
Modified: 2020-11-13 21:03 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26749: Correct dropdown markup in OPAC cart (3.79 KB, patch)
2020-10-20 12:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26749: Correct dropdown markup in OPAC cart (3.84 KB, patch)
2020-10-22 14:08 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26749: Correct dropdown markup in OPAC cart (3.90 KB, patch)
2020-10-22 22:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-20 11:57:25 UTC
The download menu in the OPAC cart has incorrect markup. I missed it during the upgrade to Bootstrap 4.
Comment 1 Owen Leonard 2020-10-20 12:04:43 UTC
Created attachment 112029 [details] [review]
Bug 26749: Correct dropdown markup in OPAC cart

This patch corrects the markup of the "Download" dropdown menu in the
OPAc cart. It was not updated during the upgrade to Bootstrap 4.

To test, apply the patch and perform a catalog search in the OPAC.

- Add some titles to the cart.
- Open the cart and test the "Download" menu button.
- The menu should display correctly, and the menu items should work to
  download the correct files.
Comment 2 Lucas Gass 2020-10-22 14:08:50 UTC
Created attachment 112198 [details] [review]
Bug 26749: Correct dropdown markup in OPAC cart

This patch corrects the markup of the "Download" dropdown menu in the
OPAc cart. It was not updated during the upgrade to Bootstrap 4.

To test, apply the patch and perform a catalog search in the OPAC.

- Add some titles to the cart.
- Open the cart and test the "Download" menu button.
- The menu should display correctly, and the menu items should work to
  download the correct files.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-10-22 22:11:44 UTC
Created attachment 112221 [details] [review]
Bug 26749: Correct dropdown markup in OPAC cart

This patch corrects the markup of the "Download" dropdown menu in the
OPAc cart. It was not updated during the upgrade to Bootstrap 4.

To test, apply the patch and perform a catalog search in the OPAC.

- Add some titles to the cart.
- Open the cart and test the "Download" menu button.
- The menu should display correctly, and the menu items should work to
  download the correct files.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-10-25 23:09:10 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-13 21:03:22 UTC
missing dependencies for 20.05.x, no backport